import * as React from 'react';
import * as CodeMirror from 'codemirror';
import 'codemirror/mode/markdown/markdown';
import 'codemirror/mode/gfm/gfm';
import 'codemirror/mode/yaml/yaml';
import 'codemirror/mode/toml/toml';
import 'codemirror/mode/javascript/javascript';
import 'codemirror/addon/scroll/simplescrollbars';
import 'codemirror/addon/scroll/annotatescrollbar';
import 'codemirror/addon/search/search';
import 'codemirror/addon/search/searchcursor';
import 'codemirror/addon/search/jump-to-line';
import 'codemirror/addon/search/match-highlighter';
import 'codemirror/addon/search/matchesonscrollbar';
import 'codemirror/addon/display/fullscreen';
import 'codemirror/addon/fold/markdown-fold';
import 'codemirror/addon/selection/active-line';
import 'codemirror/addon/mode/overlay';
import 'codemirror/addon/dialog/dialog';
import 'codemirror/addon/edit/closetag';
import 'codemirror/addon/edit/continuelist';
import 'codemirror/addon/fold/foldcode';
import 'codemirror/addon/fold/foldgutter';
import 'codemirror/mode/meta';
import 'codemirror/mode/yaml-frontmatter/yaml-frontmatter';
import './toml-frontmatter';
import './json-frontmatter';
export interface IEditorProps {
    atMounted?: (editor: CodeMirror.Editor) => any;
    atUnmounted?: (editor: CodeMirror.Editor) => any;
    atChange?: (editor: CodeMirror.Editor, data: CodeMirror.EditorChange, value: string) => any;
    className?: string;
    locale?: string;
    intlPhrases?: any;
    options?: CodeMirror.EditorConfiguration;
    width?: number | string | null;
    height?: number | string | null;
    [handlers: string]: any;
}
declare const EditorCore: React.MemoExoticComponent<(props: IEditorProps) => JSX.Element>;
export default EditorCore;
