"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var marked = require("marked");
var HtmlToReact = require("html-to-react");
var HtmlToReactParser = HtmlToReact.Parser;
var htmlToReactParser = new HtmlToReactParser();
var defaultRenderer = new marked.Renderer();
defaultRenderer.listitem = function (text) {
    var className = text.includes('checkbox')
        ? "className=\"task-list-item\""
        : "";
    return "\n          <li " + className + ">\n            " + text + "\n          </li>";
};
var MarkdownPreview = function (_a) {
    var source = _a.source, className = _a.className, markedToHtml = _a.markedToHtml;
    var html = markedToHtml
        ? markedToHtml(source)
        : marked(source, { renderer: defaultRenderer });
    var parsed = htmlToReactParser.parse(html);
    var composedClassName = (className ? className + ' ' : '') + 'pro-markdown-preview';
    return React.createElement("div", { className: composedClassName },
        " ",
        parsed,
        " ");
};
exports.default = MarkdownPreview;
//# sourceMappingURL=MarkdownPreview.js.map