"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var menuNameToIconDefinition = {
    bold: free_solid_svg_icons_1.faBold,
    quote: free_solid_svg_icons_1.faQuoteRight,
    heading: free_solid_svg_icons_1.faHeading,
    br: free_solid_svg_icons_1.faMinus,
    eraser: free_solid_svg_icons_1.faEraser,
    link: free_solid_svg_icons_1.faLink,
    image: free_solid_svg_icons_1.faImage,
    'unordered-list': free_solid_svg_icons_1.faListUl,
    'ordered-list': free_solid_svg_icons_1.faListOl,
    strikethrough: free_solid_svg_icons_1.faStrikethrough,
    italic: free_solid_svg_icons_1.faItalic,
    preview: free_solid_svg_icons_1.faEye,
    fullscreen: free_solid_svg_icons_1.faExpandArrowsAlt,
    help: free_solid_svg_icons_1.faQuestion,
    splitpane: free_solid_svg_icons_1.faColumns,
    table: free_solid_svg_icons_1.faTable,
    code: free_solid_svg_icons_1.faCode
};
var MenuItem = function (props) {
    var name = props.name, editor = props.editor, _a = props.state, state = _a === void 0 ? 'enabled' : _a, tip = props.tip, onClick = props.onClick, render = props.render, className = props.className;
    var onClickHandler = function () {
        return onClick && onClick(editor, name, state || 'enabled');
    };
    if (render) {
        var composedClassName = 'menu-icon ' + className;
        return (React.createElement("span", { className: composedClassName, onClick: onClickHandler }, render({
            editor: editor,
            name: name,
            state: state,
            tip: tip
        })));
    }
    else if (name === '|')
        return React.createElement("i", { className: 'separator' }, " | ");
    else {
        var faIcon = menuNameToIconDefinition[name];
        var stateClassName = state === 'selected'
            ? 'menu-icon-selected'
            : state === 'disabled'
                ? 'menu-icon-disabled'
                : 'menu-icon-enabled';
        var composedClassName = 'menu-icon ' + stateClassName;
        return faIcon ? (React.createElement("span", { className: composedClassName, onClick: onClickHandler },
            React.createElement("dfn", { title: tip },
                React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faIcon }),
                ' '))) : null;
    }
};
exports.default = MenuItem;
//# sourceMappingURL=MenuItem.js.map