/// <reference types="codemirror" />
import * as React from 'react';
declare type ProMarkdownMenuNames = 'bold' | 'br' | 'code' | 'eraser' | 'fullscreen' | 'heading' | 'help' | 'image' | 'ordered-list' | 'quote' | 'italic' | 'link' | 'preview' | 'strikethrough' | 'splitpane' | 'table' | 'unordered-list' | '|';
interface IProMarkdownMenuItem {
    name: ProMarkdownMenuNames | string;
    tip: string;
    className?: string;
    render?: (props?: any) => any;
    onClick?: (editor: CodeMirror.Editor, name: string, state: string) => void;
}
interface IProMarkdownProps {
    className?: string;
    initialValue?: string;
    hideMenu?: boolean;
    mode?: {
        name: 'yaml-frontmatter' | 'toml-frontmatter' | 'json-frontmatter';
        base: 'markdown' | 'gfm';
    };
    menu?: IProMarkdownMenuItem[];
    markdownTransformer?: (from: string) => string;
    renderPreview?: (props: {
        value: string;
    }) => React.ComponentElement<any, any>;
    menuitemTips?: {
        [name: string]: string;
    };
    locale?: string;
    lineNumbers?: boolean;
}
declare const ProMarkdown: (props: IProMarkdownProps) => JSX.Element;
export default ProMarkdown;
export { IProMarkdownProps };
