import * as CodeMirror from 'codemirror';
declare const frontmatterTransformer: (original: string) => string;
interface ITextState {
    [tag: string]: boolean;
}
interface IBlockStyles {
    bold: '**' | '__';
    code: '```' | '~~~';
    strikethrough: '~~';
    italic: '*' | '_';
}
declare const getTextState: (editor: CodeMirror.Editor, posArg?: CodeMirror.Position | undefined) => ITextState;
declare const toggleBold: (editor: CodeMirror.Editor, state: ITextState, blockStyles?: IBlockStyles | undefined) => void;
declare const toggleItalic: (editor: CodeMirror.Editor, state: ITextState, blockStyles?: IBlockStyles | undefined) => void;
declare const toggleStrikethrough: (editor: CodeMirror.Editor, state: ITextState, blockStyles?: IBlockStyles | undefined) => void;
declare const toggleHeading: (editor: CodeMirror.Editor) => void;
declare const toggleQuote: (editor: CodeMirror.Editor, state: ITextState) => void;
declare const toggleUnorderedList: (editor: CodeMirror.Editor, state: ITextState) => void;
declare const toggleOrderedList: (editor: CodeMirror.Editor, state: ITextState) => void;
declare const drawLink: (editor: CodeMirror.Editor, stat: ITextState) => void;
declare const drawImage: (editor: CodeMirror.Editor, stat: ITextState) => void;
declare const drawTable: (editor: CodeMirror.Editor, stat: ITextState) => void;
declare const toggleCodeBlock: (editor: CodeMirror.Editor) => void;
declare const drawHorizontalRule: (editor: CodeMirror.Editor, stat: ITextState) => void;
declare const cleanBlock: (editor: CodeMirror.Editor) => void;
export { cleanBlock, drawHorizontalRule, drawImage, drawLink, drawTable, frontmatterTransformer, getTextState, toggleBold, toggleCodeBlock, toggleHeading, toggleItalic, toggleOrderedList, toggleQuote, toggleStrikethrough, toggleUnorderedList, IBlockStyles, ITextState };
