"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpers = require("./helpers");
describe('Frontmatter transformer in helpers module', function () {
    var value = "\n\n---\nname: jeff\ngender: male\n---\n# h1\n\n## h2\n---\nfrontmatterInise: true\n---\n";
    var transformed = helpers.frontmatterTransformer(value);
    test('front matter with leading spaces is trimed off', function () {
        expect(transformed.startsWith("\n   \n---\nname: jeff\ngender: male\n---")).toBeFalsy();
        expect(transformed.includes("\n---\nname: jeff\ngender: male\n---")).toBeFalsy();
    });
    test('text with frontmatter pattern after frontmatter remains in result', function () {
        expect(transformed.includes("---\nfrontmatterInise: true\n---")).toBeTruthy();
    });
    test('front matters in markdown not starts with frontmatter remains in result', function () {
        var value = "\nabde\n---\nname: jeff\ngender: male\n---\n# h1\n\n## h2\n---\nfrontmatterInise: true\n---\n";
        var transformed = helpers.frontmatterTransformer(value);
        expect(transformed.includes("\n---\nname: jeff\ngender: male\n---")).toBeTruthy();
    });
});
//# sourceMappingURL=helpers.test.js.map